OGRE: Ogre::v1::AnimationContainer Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::v1::AnimationContainer Class Referenceabstract
Core » Animation

An animation container interface, which allows generic access to sibling animations. More...

`#include <OgreAnimation.h>`

Inheritance diagram for Ogre::v1::AnimationContainer:
[legend]

## Public Member Functions
virtual | ~AnimationContainer ()
virtual Animation * | createAnimation (const String &name, Real length)=0
| Create a new animation with a given length owned by this container. More...
virtual Animation * | getAnimation (const String &name) const =0
| Retrieve an animation by name. More...
virtual Animation * | getAnimation (unsigned short index) const =0
| Retrieve an animation by index. More...
virtual unsigned short | getNumAnimations (void) const =0
| Gets the number of animations in this container. More...
virtual bool | hasAnimation (const String &name) const =0
| Returns whether this object contains the named animation. More...
virtual void | removeAnimation (const String &name)=0
| Removes an Animation from this container. More...

## Detailed Description

An animation container interface, which allows generic access to sibling animations.

Remarks
  Because Animation instances can be held by different kinds of classes, and there are sometimes instances when you need to reference other Animation instances within the same container, this class allows generic access to named animations within that container, whatever it may be.

## Constructor & Destructor Documentation

## ◆ ~AnimationContainer()

virtual Ogre::v1::AnimationContainer::~AnimationContainer | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ createAnimation()

virtual Animation* Ogre::v1::AnimationContainer::createAnimation | ( | const String & | name,
|  | Real | length
| ) |  |
| pure virtual

Create a new animation with a given length owned by this container.

Implemented in Ogre::v1::Skeleton, Ogre::v1::OldSkeletonInstance, and Ogre::v1::Mesh.

## ◆ getAnimation() [1/2]

virtual Animation* Ogre::v1::AnimationContainer::getAnimation | ( | const String & | name | ) | const
| pure virtual

Retrieve an animation by name.

Implemented in Ogre::v1::Skeleton, and Ogre::v1::Mesh.

## ◆ getAnimation() [2/2]

virtual Animation* Ogre::v1::AnimationContainer::getAnimation | ( | unsigned short | index | ) | const
| pure virtual

Retrieve an animation by index.

Implemented in Ogre::v1::Skeleton, Ogre::v1::OldSkeletonInstance, and Ogre::v1::Mesh.

## ◆ getNumAnimations()

virtual unsigned short Ogre::v1::AnimationContainer::getNumAnimations | ( | void |  | ) | const
| pure virtual

Gets the number of animations in this container.

Implemented in Ogre::v1::Skeleton, Ogre::v1::OldSkeletonInstance, and Ogre::v1::Mesh.

## ◆ hasAnimation()

virtual bool Ogre::v1::AnimationContainer::hasAnimation | ( | const String & | name | ) | const
| pure virtual

Returns whether this object contains the named animation.

Implemented in Ogre::v1::Skeleton, and Ogre::v1::Mesh.

## ◆ removeAnimation()

virtual void Ogre::v1::AnimationContainer::removeAnimation | ( | const String & | name | ) |
| pure virtual

Removes an Animation from this container.

Implemented in Ogre::v1::Skeleton, Ogre::v1::OldSkeletonInstance, and Ogre::v1::Mesh.

The documentation for this class was generated from the following file:

- OgreAnimation.h